@tailwind base;
@tailwind components;
@tailwind utilities;

@layer utilities {
    .animation-pause {
      animation-play-state: paused;
    }
  }

  @layer utilities {
    .paused {
      animation-play-state: paused;
    }
  }
.footer-logo{
           height: 60px;
    width: 134px;

}
.footer-logo img{
    height:100%;
    width:100%;
}
.header-logo{
      height: 60px;
    width: 134px;
}
.header-logo img{
    height:100%;
    width:100%;
}
  
body{
    background-image: linear-gradient(to right, #040006 , #62005F);
   font-family: 'Poppins';
}

.poppins-thin {
    font-family: "Poppins", serif;
    font-weight: 100;
    font-style: normal;
  }
  
  .poppins-extralight {
    font-family: "Poppins", serif;
    font-weight: 200;
    font-style: normal;
  }
  
  .poppins-light {
    font-family: "Poppins", serif;
    font-weight: 300;
    font-style: normal;
  }
  
  .poppins-regular {
    font-family: "Poppins", serif;
    font-weight: 400;
    font-style: normal;
  }
  
  .poppins-medium {
    font-family: "Poppins", serif;
    font-weight: 500;
    font-style: normal;
  }
  
  .poppins-semibold {
    font-family: "Poppins", serif;
    font-weight: 600;
    font-style: normal;
  }
  
  .poppins-bold {
    font-family: "Poppins", serif;
    font-weight: 700;
    font-style: normal;
  }
  
  .poppins-extrabold {
    font-family: "Poppins", serif;
    font-weight: 800;
    font-style: normal;
  }
  
  .poppins-black {
    font-family: "Poppins", serif;
    font-weight: 900;
    font-style: normal;
  }
  
  .poppins-thin-italic {
    font-family: "Poppins", serif;
    font-weight: 100;
    font-style: italic;
  }
  
  .poppins-extralight-italic {
    font-family: "Poppins", serif;
    font-weight: 200;
    font-style: italic;
  }
  
  .poppins-light-italic {
    font-family: "Poppins", serif;
    font-weight: 300;
    font-style: italic;
  }
  
  .poppins-regular-italic {
    font-family: "Poppins", serif;
    font-weight: 400;
    font-style: italic;
  }
  
  .poppins-medium-italic {
    font-family: "Poppins", serif;
    font-weight: 500;
    font-style: italic;
  }
  
  .poppins-semibold-italic {
    font-family: "Poppins", serif;
    font-weight: 600;
    font-style: italic;
  }
  
  .poppins-bold-italic {
    font-family: "Poppins", serif;
    font-weight: 700;
    font-style: italic;
  }
  
  .poppins-extrabold-italic {
    font-family: "Poppins", serif;
    font-weight: 800;
    font-style: italic;
  }
  
  .poppins-black-italic {
    font-family: "Poppins", serif;
    font-weight: 900;
    font-style: italic;
  }
  

.textcolor{
   
            background:  linear-gradient(to right, #FF583D , #FF4364);
            -webkit-text-fill-color: transparent; 
            -webkit-background-clip: text; 
}

.bgcolor{
   
    background:  linear-gradient(to right, #FF583D , #FF4364);
    
}

.contact {
    
   border-color:#FF583D;

}

.contacticon{
    height: 25px;
    width: 25px;
   
}

.textcolor{
   
    background:  linear-gradient(to right, #FF583D , #FF4364);
    -webkit-text-fill-color: transparent; 
    -webkit-background-clip: text; 
}


@property --num {
    syntax: '<integer>';
    initial-value: 0;
    inherits: false;
}

.imgbg{
    background-image: url("./assests/Milestone.png");
    background-repeat: no-repeat;
    background-position: center;
    
} 
@-webkit-keyframes scroll {
0% {
-webkit-transform: translateX(0);
transform: translateX(0);
}
100% {
-webkit-transform: translateX(calc(-250px * 7));
transform: translateX(calc(-250px * 7));
}
}
@keyframes scroll {
0% {
-webkit-transform: translateX(0);
transform: translateX(0);
}
100% {
-webkit-transform: translateX(calc(-250px * 7));
transform: translateX(calc(-250px * 7));
}
}
.slider {
background: pr;

height: 100px;
margin: auto;
overflow: hidden;
position: relative;

}
.slider::before, .slider::after {

content: "";
height: 100px;
position: absolute;
width: 200px;
z-index: 2;
}
.slider::after {
right: 0;
top: 0;
-webkit-transform: rotateZ(180deg);
transform: rotateZ(180deg);
}
.slider::before {
left: 0;
top: 0;
}
.slider .slide-track {
-webkit-animation: scroll  linear infinite;
animation: scroll 35s linear infinite;
display: flex;
width: calc(250px * 14);
}
.slider .slide {
height: 100px;
width: 250px;
}



.swiper-wrapper {
    width: 100%;
    height: max-content !important;
    padding-bottom: 64px !important;
    -webkit-transition-timing-function: linear !important;
    transition-timing-function: linear !important;
    position: relative;
    }
.swiper-pagination-bullet {
    color: #222224;
    width: 25px;
    height: 25px;
    padding: 8px;
    }


.viewbutton{
    background:  linear-gradient(to right, #EE6140 , #D31110);
    

}    


.imgboxready{
    background-image: url("./assests/image\ 60.png");
    background-repeat: no-repeat;
    background-size: cover;

    
}
    .imgbox3{
    background-image: url("./assests/Image\ Placeholder.png");
    background-repeat: no-repeat;
    background-size: cover;
}

.imgbox4{
    background-image: url("./assests/image@2x.png");
    background-repeat: no-repeat;
    background-size: cover;
}

.imgbox5{
    background-image: url("./assests/Image\ Placeholder\ \(1\).png");
    background-repeat: no-repeat;
  
  background-size: cover;

}
    .imgbox{
    background-image: url("./assests/920.png");
    background-repeat: no-repeat;
  background-size: auto;
  background-size: cover;
}
        
        @media (max-width: 768px) {
            .herotext {
                margin-left: 1rem;
                text-align: center; /* Center text on smaller screens */
            }
            .flex1 {
                flex-direction: column; /* Stack items vertically on smaller screens */
                align-items: center; /* Center align */
            }
            .imgbox, .imgbox2 {
                width: 100%; /* Full width for boxes on smaller screens */
                margin: 0; /* Remove margin */
            }
            .imgbox2 {
                position: static; /* Reset position */
            }
            .p-10 {
                padding: 2rem; /* Adjust padding */
            }
            .max-w-sm {
                width: 90%; /* Full width for cards */
            }
        }
        .imgbox2{
    background-image: url("./assests/howwework.png");
    background-repeat: no-repeat;
  background-size: auto;
  background-position: center;
  background-size: cover;
}

.herobanner {
  background-image: url("./assests/herosection.png");
  background-repeat: no-repeat;
  background-size: contain; /* Cover the entire area */
  background-position: center; /* Center the image */
  width: 100%; /* Full width */
  /* //max-width: 586px; Max width */
  height: 712px; /* Fixed height */
  margin: 0 auto; /* Center horizontally */
}

/* Optional: Make it responsive for smaller screens */
@media (max-width: 986px) {
  .herobanner {
      height: auto; /* Adjust height on smaller screens */
      min-height: 300px; /* Set a minimum height */
  }
}
   
.bgservivedetail{
    background-repeat: no-repeat;
  background-size: auto;
  background-size: cover;
}

.bgsurvy{
    background-image: url("./assests/image/bgsurvey.png");
    background-repeat: no-repeat;
  background-size: auto;
  background-size: cover;
}

.popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 200;
}

.popup-content {
    background: white;
     padding: 5px;
    border-radius: 5px;
    text-align: center;
}

.close-btn {
  background-image: url("./assests/image/Close.svg");
  background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
    font-size: 44px;
    position: absolute;
    right: 25px;
    top: 10px;
}

.hidden {
    display: none;
}


.float{
	position:fixed;
	width:50px;
	height:50px;
	bottom:50px;
	right:46px;
	background-color:#25d366;
	color:#FFF;
	border-radius:50px;
	text-align:center;
  font-size:30px;
	box-shadow: 2px 2px 3px #999;
  z-index:99;
}

.my-float{
	margin-top:12px;
  
}

.imgbg{
    background-image: url("./assests/image/Milestone\ fill.svg");
    background-repeat: no-repeat;
    background-position: center;
    
} 

.blog{
  background-image: url("./assests/blog.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
} 

.navdesk{
  z-index:100;
}
footer{
    position:relative;
}
#myBtn {
  display: none;
  position: fixed;
  bottom: 100px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
   
  color: white;
  cursor: pointer;
  padding: 15px;
  border-radius: 40px;
}

li a{
  white-space: nowrap;
}